from fermiinstallclass import FermiInstallClass 

class InstallClass(FermiInstallClass):
    name = ("CMSserver Workgroup upgrade")
    pixmap = "cms-server.up.png"
    sortPriority = 100

    def __init__(self, expert):
	FermiInstallClass.__init__(self, expert)
	self.setGroups(["CMSserver"])
        self.installType = "upgrade"
	self.addToSkipList("bootdisk")
	self.addToSkipList("language")
	self.addToSkipList("languagesupport")
	self.addToSkipList("languagedefault")
	self.addToSkipList("keyboard")
        self.addToSkipList("welcome")
        self.addToSkipList("package-selection")
        self.addToSkipList("lilo")
        self.addToSkipList("network")
